import java.awt.*;
import javax.swing.text.*;
import javax.swing.*;

class AnswerArea extends JPanel
{
	private JTextArea editor;

	public AnswerArea(int row, int col)
	{
		setBorder(BorderFactory.createEtchedBorder());
		setLayout(new BorderLayout());

		editor = new JTextArea(row, col);

		JScrollPane scroller = new JScrollPane();
		JViewport port = scroller.getViewport();
		port.add(editor);

		add("Center", scroller);
	}

	public void append(String str)
	{
		editor.append(str);
	}

	public void setEditable(boolean edit)
	{
		editor.setEditable(edit);
	}

	public void setAlignmentX(int align)
	{
		editor.setAlignmentX(align);
	}
}